
From: Anton Blanchard <anton@samba.org>

Set node 0 online, otherwise the recent cpu/memory topology stuff will oops
on a non NUMA machine.


---

 arch/ppc64/mm/numa.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN arch/ppc64/mm/numa.c~ppc64-fix-numa-on-non-numa arch/ppc64/mm/numa.c
--- 25/arch/ppc64/mm/numa.c~ppc64-fix-numa-on-non-numa	2004-02-21 21:07:05.000000000 -0800
+++ 25-akpm/arch/ppc64/mm/numa.c	2004-02-21 21:07:05.000000000 -0800
@@ -210,6 +210,8 @@ static void __init setup_nonnuma(void)
 	for (i = 0; i < NR_CPUS; i++)
 		map_cpu_to_node(i, 0);
 
+	node_set_online(0);
+
 	node_data[0].node_start_pfn = 0;
 	node_data[0].node_spanned_pages = lmb_end_of_DRAM() / PAGE_SIZE;
 

_
